Bug 220294 - Yum needs 'update only-security' feature
Yum needs 'update only-security' feature
Status: CLOSED DUPLICATE of bug 234646
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-20 03:35 EST by Baris Cicek
Modified: 2016-09-19 22:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: 234646
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-19 15:42:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
securityonly.py (1.42 KB, text/x-python)
2006-12-20 10:56 EST, Luke Macken
no flags Details

  None (edit)
Description Baris Cicek 2006-12-20 03:35:46 EST
Description of problem:
This is not a bug but more likely to be feature request. 

Currently default way to update all packages throughout the system is using 'yum
update'. However this updates every package, and if you're satisfied with your
system updating several packages might annoy you. But you still need to keep you
system updated due to security concerns. 

Just wondering if it's possible to add a feature to yum to update only security
related updates. With FC6 pop reports updates as security. So why yum can't
check security related updates, and update only those packages. Using this neat
prospective feature, it would be really less pain for administrators to update
their servers w/o waiting their gnome-games package to get updated.
Comment 1 Jeremy Katz 2006-12-20 08:55:14 EST
Luke was working on a plugin to allow this. 
Comment 2 Luke Macken 2006-12-20 10:56:13 EST
Created attachment 144113 [details]
securityonly.py

Attached is a proof-of-concept yum plugin to install *only* security updates. 
As noted in the source, this should *not* be used in production yet since all
of our repos do not produce the necessary metadata to determine if an update is
security related or not.

With the convergence of Core and Extras, along with the new updates system
(http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem), this plugin will
eventually work with all of Fedora.
Comment 3 Matthew Miller 2007-04-10 12:34:51 EDT
Fedora 7 test bugs should be filed against "devel", not against test1/2/3. This
isn't obvious, I know. Moving this report so it isn't lost.

This is a bulk message -- I apologize if this was actually meant to be targeted
against a different release. If so, please fix or let me know. Thanks.
Comment 4 James Antill 2007-04-19 15:42:02 EDT
 Luke you say that "this should *not* be used in production yet since all
of our repos do not produce the necessary metadata to determine if an update is
security related or not." ... I assume this is now fixed, as Mark has said that
RHN now does produce all the data necessary for RHEL (in testing earler versions
of my version of the plugin).
 Sorry to DUP to a newer bug, but I had no idea about this one until you showed
it to me :(.

*** This bug has been marked as a duplicate of 234646 ***
Comment 5 Luke Macken 2007-04-19 22:31:16 EDT
Fedora Extras does not contain the updateinfo.xml.gz metadata.  Once Bodhi is
deployed, then all Fedora updates will have the appropriate metadata.

Note You need to log in before you can comment on or make changes to this bug.